Index: branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2_crs.F90
===================================================================
--- branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2_crs.F90	(revision 5601)
+++ branches/2015/dev_r5003_MERCATOR6_CRS/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2_crs.F90	(revision 6772)
@@ -61,5 +61,4 @@
    !
    PUBLIC   eos_crs        ! called by step, istate, tranpc and zpsgrd modules
-   PUBLIC   bn2_crs        ! called by step module
    PUBLIC   eos_rab_crs    ! called by ldfslp, zdfddm, trabbl
    PUBLIC   eos_init_crs   ! called by istate module
@@ -392,5 +391,5 @@
                DO ji = 1, jpi_crs
                   !
-                  zh  = gdept_crs(ji,jj,jk) * r1_Z0                                ! depth
+                  zh  = fsdept_crs(ji,jj,jk) * r1_Z0                                ! depth
                   zt  = pts (ji,jj,jk,jp_tem) * r1_T0                           ! temperature
                   zs  = SQRT( ABS( pts(ji,jj,jk,jp_sal) + rdeltaS ) * r1_S0 )   ! square root salinity
@@ -450,5 +449,5 @@
                   zt  = pts (ji,jj,jk,jp_tem) - 10._wp   ! pot. temperature anomaly (t-T0)
                   zs  = pts (ji,jj,jk,jp_sal) - 35._wp   ! abs. salinity anomaly (s-S0)
-                  zh  = gdept_crs(ji,jj,jk)                 ! depth in meters at t-point
+                  zh  = fsdept_crs(ji,jj,jk)                 ! depth in meters at t-point
                   ztm = tmask_crs(ji,jj,jk)                  ! land/sea bottom mask = surf. mask
                   !
@@ -689,60 +688,4 @@
       !
    END SUBROUTINE rab_crs_0d
-
-
-   SUBROUTINE bn2_crs( pts, pab, pn2 )
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE bn2  ***
-      !!
-      !! ** Purpose :   Compute the local Brunt-Vaisala frequency at the 
-      !!                time-step of the input arguments
-      !!
-      !! ** Method  :   pn2 = grav * (alpha dk[T] + beta dk[S] ) / e3w
-      !!      where alpha and beta are given in pab, and computed on T-points.
-      !!      N.B. N^2 is set one for all to zero at jk=1 in istate module.
-      !!
-      !! ** Action  :   pn2 : square of the brunt-vaisala frequency at w-point 
-      !!
-      !!----------------------------------------------------------------------
-      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk,jpts), INTENT(in   ) ::  pts   ! pot. temperature and salinity   [Celcius,psu]
-      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk,jpts), INTENT(in   ) ::  pab   ! thermal/haline expansion coef.  [Celcius-1,psu-1]
-      REAL(wp), DIMENSION(jpi_crs,jpj_crs,jpk     ), INTENT(  out) ::  pn2   ! Brunt-Vaisala frequency squared [1/s^2]
-      !
-      INTEGER  ::   ji, jj, jk      ! dummy loop indices
-      REAL(wp) ::   zaw, zbw, zrw   ! local scalars
-      !!----------------------------------------------------------------------
-      !
-      pn2(:,:,:)=0._wp
-
-      IF( nn_timing == 1 ) CALL timing_start('bn2')
-      !
-      DO jk = 2, jpkm1           ! interior points only (2=< jk =< jpkm1 )
-         DO jj = 1, jpj_crs          ! surface and bottom value set to zero one for all in istate.F90
-            DO ji = 1, jpi_crs
-               !zrw =   ( gdepw_crs(ji,jj,jk  ) - gdept_crs(ji,jj,jk) )   &
-               !   &  / ( gdept_crs(ji,jj,jk-1) - gdept_crs(ji,jj,jk) ) 
-               zrw =   gdepw_crs(ji,jj,jk  ) - gdept_crs(ji,jj,jk)    
-               !?IF( gdept_crs(ji,jj,jk-1) - gdept_crs(ji,jj,jk) .NE. 0._wp )THEN
-               IF( gdept_crs(ji,jj,jk-1) - gdept_crs(ji,jj,jk) .LT. 0._wp )THEN
-                  zrw = zrw  / ( gdept_crs(ji,jj,jk-1) - gdept_crs(ji,jj,jk) ) 
-               ELSE
-                  zrw = 0._wp
-               ENDIF
-               !
-               zaw = pab(ji,jj,jk,jp_tem) * (1._wp - zrw) + pab(ji,jj,jk-1,jp_tem) * zrw 
-               zbw = pab(ji,jj,jk,jp_sal) * (1._wp - zrw) + pab(ji,jj,jk-1,jp_sal) * zrw
-               !
-               IF( e3w_max_crs(ji,jj,jk) .NE. 0._wp ) THEN
-                  pn2(ji,jj,jk) = grav * (  zaw * ( pts(ji,jj,jk-1,jp_tem) - pts(ji,jj,jk,jp_tem) )     &
-                     &                    - zbw * ( pts(ji,jj,jk-1,jp_sal) - pts(ji,jj,jk,jp_sal) )  )  &
-                  &                    * tmask_crs(ji,jj,jk)  / e3w_max_crs(ji,jj,jk)
-               ENDIF
-            END DO
-         END DO
-      END DO
-      !
-      IF( nn_timing == 1 )   CALL timing_stop('bn2')
-      !
-   END SUBROUTINE bn2_crs
 
    SUBROUTINE eos_init_crs
